org.apache.jmeter.protocol.bolt.sampler

## Class AbstractBoltTestElement

- java.lang.Object
- - org.apache.jmeter.testelement.AbstractTestElement
  - - org.apache.jmeter.protocol.bolt.sampler.AbstractBoltTestElement

- All Implemented Interfaces:
    Serializable, Cloneable, Searchable, TestElement
  Direct Known Subclasses:
    BoltSampler

      public abstract class AbstractBoltTestElement
      extends AbstractTestElement

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.apache.jmeter.testelement.TestElement

      `COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractBoltTestElement()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAccessMode()`
    `String` | `getCypher()`
    `String` | `getDatabase()`
    `String` | `getParams()`
    `org.neo4j.driver.SessionConfig` | `getSessionConfig()`
    `org.neo4j.driver.TransactionConfig` | `getTransactionConfig()`
    `int` | `getTxTimeout()`
    `boolean` | `isRecordQueryResults()`
    `void` | `setAccessMode(String accessMode)`
    `void` | `setCypher(String cypher)`
    `void` | `setDatabase(String database)`
    `void` | `setParams(String params)`
    `void` | `setRecordQueryResults(boolean recordQueryResults)`
    `void` | `setTxTimeout(int txTimeout)`

    - ### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

      `addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.jmeter.testelement.TestElement

      `removed`

- - ### Constructor Detail

    - #### AbstractBoltTestElement

          public AbstractBoltTestElement()

  - ### Method Detail

    - #### getTxTimeout

          public int getTxTimeout()

    - #### setTxTimeout

          public void setTxTimeout(int txTimeout)

    - #### getAccessMode

          public String getAccessMode()

    - #### setAccessMode

          public void setAccessMode(String accessMode)

    - #### getDatabase

          public String getDatabase()

    - #### setDatabase

          public void setDatabase(String database)

    - #### getCypher

          public String getCypher()

    - #### setCypher

          public void setCypher(String cypher)

    - #### getParams

          public String getParams()

    - #### setParams

          public void setParams(String params)

    - #### isRecordQueryResults

          public boolean isRecordQueryResults()

    - #### setRecordQueryResults

          public void setRecordQueryResults(boolean recordQueryResults)

    - #### getSessionConfig

          public org.neo4j.driver.SessionConfig getSessionConfig()

    - #### getTransactionConfig

          public org.neo4j.driver.TransactionConfig getTransactionConfig()

Copyright © 1998-2022 Apache Software Foundation. All Rights Reserved.